Summary:        Icecast source streaming library
Name:           libshout
Version:        2.4.3
Release:        4%{?dist}
License:        LGPLv2+ and MIT
URL:            https://www.icecast.org/
Source:         https://downloads.us.xiph.org/releases/libshout/libshout-%{version}.tar.gz
Patch3000:      libshout-2.4.3-Allow-disabling-ckport-database-installation.patch
Patch3001:      libshout-2.4.3-Default-OpenSSL-cipher-list-is-PROFILE-SYSTEM.patch

BuildRequires:  make gcc
BuildRequires:  autoconf automake libtool
BuildRequires:  coreutils findutils sed
BuildRequires:  pkgconfig pkgconfig(openssl) pkgconfig(vorbis)
BuildRequires:  pkgconfig(speex) pkgconfig(theora)

%description
This package provides a library for communicating with and sending data to an icecast server.  
It can be used to handle the socket connection, data timing, and prevent most bad data from 
getting to the icecast server.

%package        devel
Summary:        Header files for %{name} development
License:        LGPLv2+
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the header files needed for developing applications that send data to an 
icecast server.  

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --disable-ckport --enable-examples --enable-pkgconfig --disable-silent-rules \
  --enable-shared --enable-speex --disable-static --enable-theora --enable-thread

sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc NEWS README
%{_libdir}/libshout.so.3
%{_libdir}/libshout.so.3.*

%files devel
%doc examples/*.c doc/*.xml
%{_includedir}/shout/
%{_libdir}/libshout.so
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Wang Guodong <gordonwwang@tencent.com> - 2.4.3-1
- package init.
